## ros-indigo-or-libs 0.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(or_libs)
find_package(catkin REQUIRED COMPONENTS
	message_generation
	roscpp_serialization
	roscpp
	cv_bridge
	robbie_architecture
	cmake_modules)


set(CMAKE_BUILD_TYPE Release)

#set the default path for built executables to the "bin" directory
set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

# find and activate OpenMP multicore processing standard
find_package(OpenMP)
if (OPENMP_FOUND)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
    message(STATUS "Found OpenMP")
endif()

catkin_package(
    INCLUDE_DIRS include
    CATKIN_DEPENDS message_runtime std_msgs sensor_msgs roscpp_serialization 
    LIBRARIES ConnectedComponentAnalyzer KeyPointExtraction ObjectRecognition ParallelSurf
)


#uncomment if you have defined messages
#rosbuild_genmsg()
#uncomment if you have defined services
#rosbuild_gensrv()

#common commands for building c++ executables and libraries
#rosbuild_add_library(${PROJECT_NAME} src/example.cpp)
#target_link_libraries(${PROJECT_NAME} another_library)
#rosbuild_add_boost_directories()
#rosbuild_link_boost(${PROJECT_NAME} thread)
#rosbuild_add_executable(example examples/example.cpp)
#target_link_libraries(example ${PROJECT_NAME})

##############################################################################
# Required 3rd party
##############################################################################
include_directories(
	${catkin_INCLUDE_DIRS}
	include
)

add_subdirectory(src/ConnectedComponentAnalyzer)
add_subdirectory(src/KeyPointExtraction)
add_subdirectory(src/ObjectRecognition)
add_subdirectory(src/ParallelSurf)

install(DIRECTORY include/or_libs/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== src/ConnectedComponentAnalyzer/CMakeLists.txt ===
set(ConnectedComponentAnalyzer_SRC
  ConnectedComponentAnalyzer.cpp
)

add_library(ConnectedComponentAnalyzer ${ConnectedComponentAnalyzer_SRC})

install(TARGETS ConnectedComponentAnalyzer DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/KeyPointExtraction/CMakeLists.txt ===
set(KeyPointExtraction_SRC
DefaultExtractor.cpp
KeyPoint.cpp
KeyPointHelper.cpp
SurfExtractorBase.cpp
ParallelSurfExtractor.cpp
#OrigSurfExtractor.cpp
ImageMaskCV.cpp
)

add_library(KeyPointExtraction ${KeyPointExtraction_SRC})


include_directories(
../ThreadPool
)


target_link_libraries(KeyPointExtraction
  ParallelSurf
  #ImageHelpers
       #$ENV{HOMER_DIR}/catkin_ws/devel/lib/libConfig.so
  ${OpenCV_LIBS}
  ${catkin_LIBRARIES}
)

install(TARGETS KeyPointExtraction DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/ObjectRecognition/CMakeLists.txt ===
set(ObjectRecognition_SRC
CvFundamentalMat.cpp
CvHomography.cpp
FLANNMatcher.cpp
HoughAccumulator.cpp
HoughClusterer.cpp
HoughIndexCalculator.cpp
#ImageProperties.cpp
ImagePropertiesCV.cpp
MatchHelper.cpp
NNRMatcher.cpp
ObjectProperties.cpp
SimpleHoughClusterer.cpp
)

add_library(ObjectRecognition ${ObjectRecognition_SRC})

target_link_libraries(ObjectRecognition
  KeyPointExtraction
  ${OpenCV_LIBS}
  ${catkin_LIBRARIES}
)

install(TARGETS ObjectRecognition DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== src/ParallelSurf/CMakeLists.txt ===
set(ParallelSurf_SRC
Image.cpp
KeyPointDescriptor.cpp
KeyPointDetector.cpp
MathStuff.cpp
)

include_directories(
../ThreadPool
)

set(CMAKE_CXX_FLAGS
"${CMAKE_CXX_FLAGS_RELEASE} -O3"
#"${CMAKE_CXX_FLAGS_DEBUG}"
)

add_library(ParallelSurf ${ParallelSurf_SRC})

install(TARGETS ParallelSurf DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

=== debian/changelog ===
ros-indigo-or-libs (0.0.4-0trusty) trusty; urgency=high

  * moved header files to include directory + install()
  * Contributors: Niklas Yann Wettengel

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Dec 2015 23:00:00 -0000

ros-indigo-or-libs (0.0.3-0trusty) trusty; urgency=high

  * added dependecies
  * added maintainers + fixed robbie_architecture-includes
  * removed tf dependency
  * added tf build depend
  * Contributors: Niklas Yann Wettengel, Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Sun, 06 Dec 2015 23:00:00 -0000

ros-indigo-or-libs (0.0.2-0trusty) trusty; urgency=high

  * big bang
  * Contributors: Raphael Memmesheimer

 -- Viktor Seib <vseib@uni-koblenz.de>  Mon, 07 Sep 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-or-libs
Section: misc
Priority: extra
Maintainer: Viktor Seib <vseib@uni-koblenz.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libflann-dev, libopencv-dev, ros-indigo-catkin, ros-indigo-cmake-modules, ros-indigo-cv-bridge, ros-indigo-genmsg, ros-indigo-message-generation, ros-indigo-robbie-architecture, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-roslang, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-or-libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libflann-dev, libopencv-dev, ros-indigo-cv-bridge, ros-indigo-message-runtime, ros-indigo-robbie-architecture, ros-indigo-roscpp-serialization, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-tf
Description: or_libs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-or-libs//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
